System.Web 2.0.0.0 System.Configuration.ConfigurationElement

The class allows you to remap the types of tags at compile time. This remapping causes the mapped type to be used in place of the original tag type for all pages and controls in the ASP.NET application in the scope of the configuration file.

The class allows you to programmatically access and modify the tagMapping subsection of the pages section of a configuration file. Within the tagMappings subsection, you can add and remove mappings between tag types by specifying the fully qualified strong names of the types.

Unlike other attributes and collections in the pages section, tag remapping has no matching ASP.NET page directive.

Contains a single configuration tag remapping statement. This class cannot be inherited.

- Constructor
  To be added.

  Initializes a new instance of the class based on the passed property values.

  The fully qualified name of the type for the tag that is being remapped.
  The name of the type to which the tag is remapped, along with the supporting details.
  2.0.0.0
- Method
  System.Boolean `` To be added. To be added.

  Compares this instance to another object.

  true if the objects are identical; otherwise, false.

  2.0.0.0
- Method
  System.Int32 To be added.

  Returns a hash value for the current instance.

  A hash value for the current instance.

  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("mappedTagType")
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added.

  Tag remapping occurs at compile time. This remapping causes the mapped type (specified by the property) to be used in place of the original tag type (specified by the property) for all pages and controls in the ASP.NET application in the scope of the configuration file.

  An empty string value for this property will cause the configuration system to throw an exception when the object is serialized.

  Gets or sets the name of the type to which the tag is remapped.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets a collection of all the properties belonging to this object.

  2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("tagType", DefaultValue="", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added.

  Tag remapping occurs at compile time. This remapping causes the mapped type (specified by the property) to be used in place of the original tag type (specified by the property) for all pages and controls in the ASP.NET application in the scope of the configuration file.

  An empty string value for this property will cause the configuration system to throw an exception when the object is serialized.

  Gets or sets the name of the original type for the tag that is being remapped.

  2.0.0.0